"use client";

import React from "react";
import AddFolder from "@/components/AddFolder";
import AddCollection from "@/components/AddCollection";
import Cards from "@/components/Cards";
import Collections from "@/components/Collections";

import { useRequest } from "ahooks";
import { getFetch } from "@/lib/doFetch";


export default function Home(props) {
  const { data, refreshAsync, refresh } = useRequest(async () => {
    const res = await getFetch({ url: "/api/folder", params: {} });
    return res?.data ?? [];
  });

  const collection = useRequest(async () => {
    const res = await getFetch({ url: "/api/collection", params: {} });
    return res?.data ?? [];
  });
  return (
    <div>
      <div className="flex gap-4">
        <AddFolder refresh={refreshAsync} />
        <AddCollection refresh={collection?.refreshAsync} />
      </div>
      <div className="flex gap-4">
      <Cards list={data ?? []} />
      <Collections list={collection?.data ?? []} />
      </div>
    </div>
  );
}
