export default function handler(req, res) {
  const {
    query: { id },
    body,
    method,
  } = req;

  switch (method) {
    case "GET":
      res.status(200).json({ id, name: `User ${id}` });
      break;
    case "PUT":
      // Update user with id
      res.status(200).json({ id, message: `User ${id} updated` });
      break;
    case "DELETE":
      // Delete user with id
      res.status(200).json({ id, message: `User ${id} deleted` });
      break;
    default:
      res.setHeader("Allow", ["GET", "PUT", "DELETE"]);
      res.status(405).end(`Method ${method} Not Allowed`);
  }
}


